(function(mui,self, window,document){
	
	
	//检查开红包的状态
	self.checkJobHongBaoStatus = function (jobId, callback) {

		var curUser = common.getUser();
		var url = common.getServiceUrl("jobs/CheckJobHongBaoStatus");
		var data = {
			jobId: jobId,
			token: curUser.token
		};
		console.log("url=" + url);
		console.log(JSON.stringify(data));
		
		mui.ajax(url, {
			type: "get",
			url: url,
			data: data,
			dataType: "json",
			timeout: 10000,
			success: function (rel) {

				if (rel.Success) {
					if (callback) callback(rel.Data);
				} else {
					if (timer) {
						clearInterval(timer);
						timer = null;
					}
					//mui.toast(rel.Errors[0]);
				}
			},
			error: function (xhr, type, errorThrown) {
				callback("error"); //失败
				console.log(type);
			}
		});
	};
	
	//获取抢了红包的用户
	self.getHongBaoUser = function(jobId,pageIndex,callback,errorCallback){
		var curUser = common.getUser();

		var data = {
			token:curUser.token,
			jobId:jobId,
			pageIndex:pageIndex
		};
		
		common.ajax("users/GetHongBaoUsers","get",data,
			function(rel){
				if(callback)
		            callback(rel.Data);
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback();
			}
		);
	};
	
	//分享成功
	self.ShareSuccess = function (hongBaoId, callback) {

		var curUser = common.getUser();

		var url = common.getServiceUrl("jobs/ShareSuccess");
		var data = {
			token: curUser.token,
			id: hongBaoId,
			status: true
		};

		console.log("url=" + url);
		console.log(JSON.stringify(data));

		mui.ajax(url, {
			type: "post",
			url: url,
			data: data,
			dataType: "json",
			timeout: 10000,
			success: function (rel) {

				if (rel.Success) {

					if (callback)
						callback(rel.Data);
				}
				else {
					mui.toast(rel.Errors[0]);
				}
			},
			error: function (xhr, type, errorThrown) {
				console.log(type);
			}
		});
	};
	
	//获取简单的广告信息
	self.getSimpleJobInfo = function(options){
		var setting = {
			jobId:0,
			callback:null
		};
		
		mui.extend(setting,options);
		
		var url = common.getServiceUrl("jobs/GetSimpleJobInfo");
		
		var data = {
			jobId:setting.jobId
		};
		
		console.log("url="+url);
		console.log(JSON.stringify(data));
		

		mui.ajax(url,{
		    type:"get",
		    url:url,
		    data:data,
		    dataType:"json",
		    timeout:20000,
		    success:function(rel){
		        
		        if(rel.Success){
		            
		           if(options.callback)
		                options.callback(rel.Data,rel.TotalPages);
		        }
		        else{
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		        console.log(type);
		    }
		});
	}
	
	//红包动态
	self.getHongBaoDongTai = function(jobId,pageIndex,callback){
		
		var data = {
			jobId:jobId,
			pageIndex:pageIndex
		};
		
		common.ajax("jobs/GetHongBaoDongTai","get",data,
			function(rel){
				if(callback)
		            callback(rel.Data,rel.TotalPages);
			},
			function(rel){
				if(callback)
					callback(false,rel.Errors[0]);
			}
		);
		
	};
	
	
	//点击参与任务
	self.clickJob = function(jobId,callback){
		
		var curUser = common.getUser();
		    
		var data = {
			jobId:jobId,
		    token:curUser.token
		};
		
		common.ajax("jobs/clickjob","get",data,
			function(rel){
				if(callback)
		            callback(rel.Data);
			},
			function(rel){
				if(callback)
					callback(false,rel.Errors[0]);
			}
		);
		
	};
	
	//获取UserJobInfo
	self.getUserJobInfo = function(jobId,callback,errorCallback){
	

		var curUser = common.getUser();

		var data = {
			token:curUser.token,
			jobId:jobId
		};
		
		common.ajax("jobs/getuserjobinfo","get",data,
			function(rel){
				if(callback)
		            callback(rel.Data,rel.Data2);
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback();
			}
		);
		
	};
	
	//获取用户的广告任务
	self.getUserJobs =function(options){
		
		var setting = {
			pageIndex:1,
			pageSize:20,
			onSuccess:null,
			onError:null
		};
		
		mui.extend(setting,options);
		
		var curUser = common.getUser();
		
		var data = {
			token:curUser.token,
			pageIndex:setting.pageIndex,
			pageSize:setting.pageSize
		};
		
		common.ajax2({
			url:"jobs/getuserjobs",
			params:data,
			onSuccess:function(rel){
				setting.onSuccess(rel.Data,rel.TotalPages)
			},
			onError:function(){
				setting.onFail()
			}
		});
	  
//		common.ajax("jobs/getuserjobs","get",data,
//			function(rel){
//				if(setting.callback)
//		        	setting.callback(rel.Data,rel.TotalPages);
//			},
//			function(rel){
//				mui.toast(rel.Errors[0]);
//				if(setting.errorCallback)
//					setting.errorCallback();
//			}
//		);
//	
	};
	
	//获取评论
	self.getJobComments = function(options){
		var setting = {
			jobId:0,
			pageIndex:1,
			callback:null
		};
		mui.extend(setting,options);
		
		var url = common.getServiceUrl("jobs/GetJobComments");
	
		var data = {
			jobId:setting.jobId,
			pageIndex:setting.pageIndex,
			pageSize:10
		};
		
		console.log("url="+url); 
		console.log(JSON.stringify(data));
		
		mui.ajax(url,{
		    type:"get",
		    url:url,
		    data:data,
		    dataType:"json",
		    timeout:20000,
		    success:function(rel){
		        
		        if(rel.Success){
		            
		           if(setting.callback)
		                setting.callback(rel.Data,rel.TotalPages);
		        }
		        else{
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		        console.log(type);
		    }
		});
	};
	
	//发表评论
	self.postJobComment = function(options){
		var setting = {
			jobId:0,
			content:"",
			onSuccess:null
		};
		mui.extend(setting,options);
		
		
		var curUser = common.getUser();
	
		var data = {
			jobId:setting.jobId,
			content:setting.content,
			token:curUser.token
		};
		
		common.ajax2({
			url:"jobs/PostJobComment",
			params:data,
			type:"post",
			onSuccess:function(rel){
				setting.onSuccess(rel.Data,rel.Data2);
			}
			
		});

	};
	
})(mui,window.jobService = {}, window,document);
