(function(mui,self, window,document){
	
	//购买产品
	self.buyProduct = function (productId, addressId, callback) {

		var curUser = common.getUser();
		var url = common.getServiceUrl("users/BuyProduct");
		var data = {
			productId: productId,
			addressId: addressId,
			token: curUser.token
		};
		console.log("url=" + url);
		console.log(JSON.stringify(data));

		var startTime = new Date().getTime();
		var endTime;

		mui.ajax(url, {
			type: "post",
			url: url,
			data: data,
			dataType: "json",
			timeout: 10000,
			success: function (rel) {

				endTime = new Date().getTime();
				console.log("用时：" + (endTime - startTime) + "毫秒");

				if (rel.Success) {
					if (callback) callback();
				}
				else {
					alert(rel.Errors[0]);
				}
			},
			error: function (xhr, type, errorThrown) {
				console.log(type);
			}
		});
	};
	
	//获取产品信息
	self.getProductInfo = function(productId,callback){
		
		var curUser = common.getUser();
		var url = common.getServiceUrl("products/GetProductById");
		var data = {
			productId: productId,
			token: curUser.token
		};
		console.log("url=" + url);
		console.log(JSON.stringify(data));

		mui.ajax(url, {
			type: "get",
			url: url,
			data: data,
			dataType: "json",
			timeout: 10000,
			success: function (rel) {

				if (rel.Success) {
					if (callback)
						callback(rel.Data, rel.Data2);
				}
				else {
					mui.toast(rel.Errors[0]);
				}
			},
			error: function (xhr, type, errorThrown) {
				console.log(type);
			}
		});
	};
	
	
	//获取产品
	self.getProducts = function(pageIndex,callback){
		var curUser = common.getUser();
		var url = common.getServiceUrl("products/GetProducts");
		var data = {
			pageIndex: pageIndex,
			token: curUser.token
		};
		console.log("url=" + url);
		console.log(JSON.stringify(data));


		mui.ajax(url, {
			type: "get",
			url: url,
			data: data,
			dataType: "json",
			timeout: 10000,
			success: function (rel) {
				
				if (rel.Success) {
					if (callback)
						callback(rel.Data, rel.TotalPages);
				}
				else {
					mui.toast(rel.Errors[0]);
				}
			},
			error: function (xhr, type, errorThrown) {
				console.log(type);
			}
		});
	};

})(mui,window.productService = {},window,document);