(function(mui,self, window,document){
	
	//获取帮助信息
	self.uploadAvatar = function(avatar,callback,errorCallback){
		
		var curUser = common.getUser();
		var data = {
			token:curUser.token,
			avatar:avatar
		};
		
		common.ajax("users/UploadImage","post",data,
			function(rel){
				if(callback)
		            callback(rel.Data);
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback();
			}
		);
	};
	
	//更新用户名
	self.updateUserReceivePushMessage = function(status,callback,errorCallback){
		var curUser = common.getUser();
		var data = {
			status:status,
			token:curUser.token
		};
		
		common.ajax("users/UpdateUserReceivePushMessage","post",data,
			function(rel){
				if(callback)
		            callback();
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback(rel.Errors[0]);
			}
		);
		
	};
	
	//更新用户名
	self.updateUserGender = function(gender,callback,errorCallback){
		var curUser = common.getUser();
		var data = {
			gender:gender,
			token:curUser.token
		};
		
		common.ajax("users/UpdateUserGender","post",data,
			function(rel){
				if(callback)
		            callback(rel.Data);
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback();
			}
		);
		
	};
	
	//更新用户名
	self.updateUserName = function(userName,callback,errorCallback){
		var curUser = common.getUser();
		var data = {
			userName:userName,
			token:curUser.token
		};
		
		common.ajax("users/UpdateUserName","post",data,
			function(rel){
				if(callback)
		            callback();
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback(rel.Errors[0]);
			}
		);
		
	};
	
	//获取用户基本信息
	self.getUserInfo = function(callback,errorCallback){
		var curUser = common.getUser();
		var data = {
			token:curUser.token
		};
		
		common.ajax("users/GetUserInfo","get",data,
			function(rel){
				if(callback)
		            callback(rel.Data);
			},
			function(rel){
				mui.toast(rel.Errors[0]);
				if(errorCallback)
					errorCallback();
			}
		);
	};

	//更新用户位置
	self.updateUserPosition = function(position,callback){
		var curUser = common.getUser();
		
		var data = {
			token:curUser.token,
			country:position.address.country,
			province:position.address.province,
			city:position.address.city,
			street:position.address.street,
			district:position.address.district,
			latitude:position.coords.latitude,
			longitude:position.coords.longitude
		};
	  
		common.ajax("users/updateUserPosition","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.TotalPages);
			},
			function(rel){
				//mui.toast(rel.Errors[0]);
				console.log(rel.Errors[0]);  
				if(callback)
					callback(false);
			}
		);
	};
	
	//获取用户账户设置
	self.getUserAccountSetting = function(callback){
		var curUser = common.getUser();
		var data = {
			token:curUser.token
		};
		
		common.ajax("users/GetUserAcountSetting","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data);
			},
			function(rel){
				//mui.toast(rel.Errors[0]);
				console.log(rel.Errors[0]);  
				if(callback)
					callback(false);
			}
		);
	};

	//检查用户登录状态
	self.checkUserLogin = function(callback){
		var curUser = common.getUser();
		if(curUser.isLogin){
   
			var data = {
			    token:curUser.token
			};
			
			common.ajax("users/CheckUserLogin","get",data,
				function(rel){
					if(callback)
			        	callback();
				},
				function(rel){
					//mui.toast(rel.Errors[0]);
					console.log(rel.Errors[0]);  
					if(callback)
						callback(false);
				}
			);
		}
	};

	//提现
	self.tiXian = function(pwd,callback){
		
		var curUser = common.getUser();    
		var url = common.getServiceUrl("users/UserTiXian");
		var data = {
					password:pwd,
		            token:curUser.token
		        };
		console.log("url="+url);
		console.log(JSON.stringify(data));
		
		var startTime = new Date().getTime();
		var endTime;
		
		plus.nativeUI.showWaiting("请稍候");
		
		mui.ajax(url,{
		    type:"post",
		    url:url,
		    data:data,
		    dataType:"json",
		    timeout:10000,
		    success:function(rel){
		        
		        plus.nativeUI.closeWaiting();		        
		        
		        endTime = new Date().getTime();
		        console.log("用时："+(endTime-startTime)+"毫秒");
		        
		        if(rel.Success){
		           if(callback) callback(rel.Data);
		        }
		        else{
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		        console.log(type);
		    }
		});
	};
	
	//更新账户设置
	self.updateAccountSetting = function(accountInfo,callback){
		
		var curUser = common.getUser();    
		var url = common.getServiceUrl("users/UpdateUserAccountSetting");
		
		accountInfo.token = curUser.token;
		
		console.log("url="+url);
		console.log(JSON.stringify(accountInfo));
		
		var startTime = new Date().getTime();
		var endTime;
		
		plus.nativeUI.showWaiting();
		mui.ajax(url,{
		    type:"post",
		    url:url,
		    data:accountInfo,
		    dataType:"json",
		    timeout:10000,
		    success:function(rel){
		        plus.nativeUI.closeWaiting();
		        endTime = new Date().getTime();
		        console.log("用时："+(endTime-startTime)+"毫秒");
		        
		        if(rel.Success){
		        	if(callback) callback();
		        }
		        else{
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		    	plus.nativeUI.closeWaiting();
		        console.log(type);
		    }
		});
	};
	
	
	//获取用户地址
	self.getUserAddress = function(callback){

		var curUser = common.getUser();    
		
		var data = {token:curUser.token};
		
		plus.nativeUI.showWaiting("请稍候");
		
		common.ajax("users/GetUserAddress","get",data,
				function(rel){
					if(callback)
			        	callback(rel.Data);
				},
				function(rel){
					//mui.toast(rel.Errors[0]);
					console.log(rel.Errors[0]);  
					if(callback)
						callback(false);
				},
				3,
				function(){
					plus.nativeUI.closeWaiting();
				}
			);

	};
	
	//获取地址信息
	self.getAddressInfo = function(addressId,callback){
		var curUser = common.getUser();
		    
		var url = common.getServiceUrl("users/GetUserAddressById");
		var data = {
			addressId:addressId,
		    token:curUser.token
		};
		console.log("url="+url);
		console.log(JSON.stringify(data));
		

		plus.nativeUI.showWaiting();
		mui.ajax(url,{
		    type:"get",
		    url:url,
		    data:data,
		    dataType:"json",
		    timeout:10000,
		    success:function(rel){
		        plus.nativeUI.closeWaiting();
		
		        if(rel.Success){
		            
		           if(callback)
		                callback(rel.Data);
		        }
		        else{
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		    	plus.nativeUI.closeWaiting();
		        console.log(type);
		    }
		});
	};

	//创出建地址
	self.saveAddress = function(data,callback){
		
		var curUser = common.getUser();    
		var url = common.getServiceUrl("users/SaveUserAddress");
		var data = {
					userName:data.userName,
					mobile:data.mobile,
					address:data.address,
					addressId:data.addressId,
		            token:curUser.token
		        };
		console.log("url="+url);
		console.log(JSON.stringify(data));
		
		mui.ajax(url,{
		    type:"post",
		    url:url,
		    data:data,
		    dataType:"json",
		    timeout:10000,
		    success:function(rel){
		        
		        if(rel.Success){
		             callback(rel.Data);   
		        }
		        else{
		        	plus.nativeUI.closeWaiting();
		            mui.toast(rel.Errors[0]);
		        }
		    },
		    error:function(xhr,type,errorThrown){
		        console.log(type);
		    }
		});
	};
	
	//获取消息
	self.getMessages=function(pageIndex,callback){
		
		var curUser = common.getUser();    
		
		var data = {
		            pageIndex:pageIndex,
	      			token:curUser.token
		};
		
		common.ajax("users/GetUserMessages","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.TotalPages);
			}
		);
	};
	
	//抢红包
	self.qiangHongBao = function (jobId, callback) {

		var curUser = common.getUser();

		var data = {
			jobId: jobId,
			token: curUser.token
		};

		common.ajax("users/QiangHongBao","get",data,
			function(rel){
				if(callback)
		        	callback();
			}
		);
	
	};
	
	//显示红包信息
	self.showHongBao = function (jobId, callback) {

		var data = {
			jobId: jobId,
			token: common.getUser().token
		};
		
		common.ajax2({
			url:"users/ShowHongBao",
			params:data,
			onSuccess:function(rel){
				if(callback)
		        	callback(rel.Data,rel.Data2, rel.TotalPages);
			}
		});

	};
	
	//获取用户红包
	self.getUserHongBao = function(pageIndex,callback,errorCallback){
		
		var curUser = common.getUser();    
		
		var data = {
					pageIndex:pageIndex,
		            token:curUser.token
		        };
		
		common.ajax("users/GetUserHongBao","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.TotalPages);
			}
		);
		
	};

	//获取用户订单
	self.getUserOrders = function(pageIndex,callback){
		
		var curUser = common.getUser();
		    
		var url = common.getServiceUrl("users/GetUserOrders");
		var data = {
		    token:curUser.token
		};
		
		common.ajax("users/GetUserOrders","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.TotalPages);
			}
		);
		
	};
	
	//获取账户日志
	self.getAccountLogs = function(pageIndex,callback){
		
		var curUser = common.getUser();
		
		var data = {
			pageIndex:pageIndex,
			token: curUser.token
		};
		
		common.ajax("users/GetCustomerAccountLogs","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.TotalPages);
			}
		);

	};
	
	//获取用户余额
	self.getUserBalance = function(callback){
		
		var curUser = common.getUser();
		
		var data = {
			token: curUser.token
		};
		
		common.ajax("users/GetUserBalance","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data,rel.Data2);
			}
		);

	};
	
	//获取用户账户
	self.getUserAccount = function(callback){
		
		var curUser = common.getUser();

		var data = {
			token: curUser.token
		};
		
		common.ajax("users/GetUserAccount","get",data,
			function(rel){
				if(callback)
		        	callback(rel.Data);
			}
		);

	};

})(mui,window.userService = {},window,document);
