(function (mui, self, window) {

	self.get = function (id) {
		return document.getElementById(id);
	};
	
	//获取服务地址
	self.getServiceUrl = function (url) {
		return "http://api.didibox.cn/api/" + url;
	};
	
	//获取layout页
	self.getLayout = function () {
		var view_styles = {top:"0px",bottom:"0px",popGesture:"hide"};
		//默认只加载layout,暂时只考虑2个layout
		var view = plus.webview.getWebviewById("layout");
		if (view && view.children() == 0)
			return view;
		else {
			view = plus.webview.getWebviewById("layout2");
			if (view && view.children() == 0)
				return view;
			else{
				view = plus.webview.getWebviewById("layout3");
				return view;
			}
			
		}

	};
	
	//显示弹窗
	self.showPopup = function(pop){
		
		var docWidth = screen.width/window.devicePixelRatio;
		var docHeight = screen.height/window.devicePixelRatio;
		
		pop.style.left = ((docWidth-300)/2)+"px";
		pop.style.top = ((docHeight-400-55)/2)+"px";
		
		
		var popbg = document.getElementById("popbg");
		popbg.style.height = document.body.clientHeight;
		popbg.style.display = 'block';
		
		pop.style.display = "block";
	};
	
	//显示通知
	self.showNotice = function(str,time){
		
		time = time || 5000;
		
		var noticeContainer = document.getElementById("noticeContainer");
		if(noticeContainer){
			noticeContainer.innerHTML = str;
			
		}
		else{
			noticeContainer = '<div id="noticeContainer">'+str+'</div>';
			
			common.appendHtml(document.querySelector(".mui-content"),noticeContainer);
			
			noticeContainer = document.getElementById("noticeContainer");
		}
		
		setTimeout(function(){
			var notice = document.getElementById("noticeContainer");
			if(notice)
				notice.parentNode.removeChild(notice);
		},time);
		
	};
	
	//跳转登录页
	self.userLogin = function (param) {
		var view = plus.webview.getWebviewById("login");
		
		param = param || {};
		
		if(view==null)
			view = mui.preload({id:"login",url:"_www/html/login.html",
				styles:{top:"0px",bottom:"0px",popGesture:"hide"},extras:param});
		
		view.show("slide-in-bottom", 150);
	};
	
	//移除mui的等待提示
	self.removeLoading = function () {
		
		var ele = document.querySelector(".mui-loading");
		if (ele)
			ele.parentNode.removeChild(ele);
	};
	
	
	//插入无数据提示
	self.emptyData = function (element, info) {

		//先关闭等待框
		self.removeLoading();

		info = info || "暂无数据";
		element = element || document.querySelector(".mui-content");
		element.innerHTML = '<div class="emptydata">' + info + '</div>';
	};
	
	//显示动画
	self.aniShow = function () {
		var show = "pop-in";
		var time = 250;

		//Android平台暂时使用slide-in-right动画
		if (mui.os.android && parseFloat(mui.os.version) < 5) {
			show = "slide-in-right";
			time = 200;
		}

		//临时的 pop-in效果好像有点卡
		//		show = "slide-in-right";
		//		time = 200;

		return {
			show: show,
			time: time
		};
	};
	
	//获取分享服务
	self.getShareServices = function () {
		//获取分享服务
		var shares = {};
		plus.share.getServices(function (s) {
			if (s && s.length > 0) {
				for (var i = 0; i < s.length; i++) {
					var t = s[i];
					shares[t.id] = t;
				}
			}
		}, function () {
			mui.toast("获取分享服务列表失败");
		});

		return shares;
	};

	//显示分享服务列表
	self.showShareServicesMenu = function (shares, callback) {
		var ids = [{
			id: "weixin",
			ex: "WXSceneSession"
		}, {
				id: "weixin",
				ex: "WXSceneTimeline"
			}, {
				id: "qq"
			}],
			bts = [{
				title: "发送给微信好友"
			}, {
					title: "分享到微信朋友圈"
				}, {
					title: "分享到QQ"
				}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		}, function (e) {
			var i = e.index;
			if (i > 0) {
				var s_id = ids[i - 1].id;
				var share = shares[s_id];
				if (share) {
					console.log("share = " + JSON.stringify(share));
					if (share.authenticated) {
						callback(share, ids[i - 1].ex);
					} else {
						share.authorize(function () {
							callback(share, ids[i - 1].ex);
						}, function (e) {
							console.log("认证授权失败：" + e.code + " - " + e.message);
						});
					}
				} else {
					mui.toast("无法获取分享服务")
				}
			}
		});
	};
	
	//获取当前用户
	self.getUser = function () {

		var strUser = localStorage.getItem("user");
		if (strUser)
			return JSON.parse(strUser);

		return self.setUser();

	};
	
	//设置用户信息
	self.setUser = function (user) {
		if (!user) {
			user = {
				isLogin: false,
				token: "",
				avatar: "http://pic.didibox.cn/avatar",
			};
		}
		else {
			if (!user.avatar || user.avatar == "")
				user.avatar = "http://pic.didibox.cn/avatar";
		}

		var strUser = JSON.stringify(user);
		localStorage.setItem("user", strUser);

		return user;

	};
	
	//获取setting
	self.getSetting = function () {

		var setting = localStorage.getItem('setting');
		if (setting)
			return JSON.parse(setting);

		setting = self.setSetting();

		return setting;
	};


	//设置Setting
	self.getSetting = function (setting) {

		if (!setting) {
			setting = {
				name: "滴滴盒 子",
				imageSuffix: self.getImageSuffix(),
				imageSize: self.getImageSize()
			};
		}

		localStorage.setItem("setting", JSON.stringify(setting));

		return setting;
	};
	
	/*
	 * 所有图片上传时的尺寸都是标准的800x600
	 * 缩略图也是按这个尺寸等比例压缩的
	 */
	self.getImageSize = function (paddingWidth,oldWidth,oldHeight) {

		var docWidth = document.body.clientWidth; // plus.screen.resolutionWidth; // document.body.clientWidth;// plus.screen.resolutionWidth+1; //hbuilder的resolutionWidth小一象素

		if (docWidth == 0)
			docWidth = plus.screen.resolutionWidth;

		var imgWidth = 0;
		var imgHeight = 0;
		if (docWidth <= 400)
			imgWidth = 400;
		else if (docWidth > 400 && docWidth <= 500)
			imgWidth = 500;
		else if (docWidth > 500 && docWidth <= 600)
			imgWidth = 600;
		else if (docWidth > 600)
			imgWidth = 800;
		else {
			console.log("屏幕尺寸错误,docWidth=" + docWidth);
		}
		
		oldWidth = oldWidth || 800;
		oldHeight = oldHeight || 600;

		var imgHeight = imgWidth / oldWidth * oldHeight;

		if (paddingWidth)
			docWidth = docWidth - paddingWidth;

		var height = docWidth / imgWidth * imgHeight;

		var size = {
			width: docWidth,
			height: height
		};

		if (size.width < 0)
			alert("docWidth=" + document.body.clientWidth + ",resolutionWidth=" + plus.screen.resolutionWidth);

		//console.log("size=" + JSON.stringify(size));

		return size;
	};

	//获取图片后缀
	self.getImageSuffix = function () {

		var width = "!400";
		var w = document.body.clientWidth; // plus.screen.resolutionWidth+1; //hbuilder的resolutionWidth小一象素

		if (w <= 400)
			width = "!400"; //?imageView2/2/w/400/q/80/format/JPG";
		else if (w > 400 && w <= 500)
			width = "!500"; //"?imageView2/2/w/500/q/80/format/JPG";
		else if (w > 500 && w <= 600)
			width = "!600"; //"?imageView2/2/w/600/q/80/format/JPG";
		else if (w > 600)
			width = "!800"; //"?imageView2/2/w/800/q/80/format/JPG";

		return width;
	};


	self.prependHtml = function (ele, html) {
		
		var divTemp = document.createElement("div"),
			nodes = null,
			fragment = document.createDocumentFragment();

		divTemp.innerHTML = html;
		nodes = divTemp.childNodes;
		for (var i = 0, length = nodes.length; i < length; i += 1) {
			fragment.appendChild(nodes[i].cloneNode(true));
		}

		ele.insertBefore(fragment, ele.firstChild);
		
		// 据说下面这样子世界会更清净
		nodes = null;
		fragment = null;
	};

	//向节点添加html
	self.appendHtml = function (ele, html) {

		var divTemp = document.createElement("div"),
			nodes = null,
			fragment = document.createDocumentFragment();

		divTemp.innerHTML = html;
		nodes = divTemp.childNodes;
		for (var i = 0, length = nodes.length; i < length; i += 1) {
			fragment.appendChild(nodes[i].cloneNode(true));
		}

		ele.appendChild(fragment);
	
		//ele.insertBefore(fragment,ele.firstChild);
		
		// 据说下面这样子世界会更清净
		nodes = null;
		fragment = null;
	};
	
	//获取字符串长度
	self.getStringLength = function (str) {
		var length = str.length;
		for (var i = 0; i < str.length; i++) {
			if (str.charCodeAt(i) > 127) {
				length++;
			}
		}
		return length;
	};
	
	//最新的ajax
	self.ajax2 = function(options){
		var setting = {
			url:"",
			type:"get",
			params:{},
			retry:3, //重复次数
			timeout:10000,//默认10秒
			onBeforeSend:null,
			onSuccess:null,
			onError:null,  //type: "timeout", "error", "abort", "parsererror"
			onComplete:null  //status: "success", "notmodified", "error", "timeout", "abort", "parsererror"
		};
		
		mui.extend(setting,options);
		
		setting.url = self.getServiceUrl(setting.url);
	    
	    console.log("\n--------- start ----------");
	    console.log("url="+setting.url);
		console.log("type="+setting.type);
		console.log("data="+JSON.stringify(setting.params));
		
	    var startTime = new Date().getTime();
		var endTime;
		
		mui.ajax(setting.url, {
	        data:setting.params,
	        dataType:'json',
	        type:setting.type,
	        timeout:setting.timeout,
	        success:function(data){
	        	
	        	endTime = new Date().getTime();
		        console.log("用时："+(endTime-startTime)+"毫秒");
		        console.log("--------- end   ----------\n");
		        
	            if(data.Success){
	                setting.onSuccess(data);
	            }
	            else{
	            	if(setting.onError)
	                	setting.onError(data);
	                else
                	{
                		console.log(rel.Errors[0]);
                		mui.toast(rel.Errors[0]);
                	}
	            }
	        },
	        error:function(xhr,type,errorThrown){
	            setting.retry--;
	            if(retry > 0) return self.ajax2({retry:setting.retry});
	            mui.toast("网络不佳");
	        },
	        complete:function(){
	        	
	        	if(setting.onComplete && setting.retry==0)
	        		setting.onComplete();
	        }
	        
	     });
	};
	
	//ajax
	self.ajax = function(url,ajaxtype, params, onSuccess, onError, retry,onComplete){
		
		var ajaxtype = arguments[1]?arguments[1]:"get";
		var onSuccess = arguments[3]?arguments[3]:function(){};
	    var onError1 = arguments[4]?arguments[4]:null;
	    var retry = arguments[5]?arguments[5]:3;
	    var onComplete = arguments[6]?arguments[6]:null;
	    
	    var queryUrl = self.getServiceUrl(url);
	    
	    console.log("\n--------- start ----------");
	    console.log("url="+queryUrl);
		console.log("type="+ajaxtype+",data="+JSON.stringify(params));
	    console.log("--------- end   ----------");
	    
	    var startTime = new Date().getTime();
		var endTime;
	    
	    mui.ajax(queryUrl, {
	        data:params,
	        dataType:'json',
	        type:ajaxtype,
	        timeout:5000,
	        success:function(data){
	        	endTime = new Date().getTime();
		        console.log("用时："+(endTime-startTime)+"毫秒");
		        
	            if(data.Success){
	                onSuccess(data);
	            }
	            else{
	            	if(onError1!=null)
	                	onError1(data);
	                else
	                	onError(data);
	            }
	        },
	        error:function(xhr,type,errorThrown){
	            retry--;
	            if(retry > 0) return self.ajax(url,ajaxtype, params, onSuccess, onError, retry);
	            onError('FAILED_NETWORK');
	        },
	        complete:function(){
	        	
	        	if(onComplete!=null && retry==0)
	        		onComplete();
	        }
	    });
	    
	    var onError = function(data){
		    switch(data){
		    case 'FAILED_NETWORK':
		        mui.toast('网络不佳');
		        break;
		    case 'INVALID_TOKEN':
				;			        
		        break;
		    default:
		    	if(data && data.Errors && data.Errors.length>0)
		    		mui.toast(data.Errors[0]);
		        console.log(JSON.stringify(data)+",url="+queryUrl);
		    }
		};
	};
	
	//检查升极
	self.checkUpdate = function(time,notUpdateCallback){
		
		time = time || 10000;
		setTimeout(function(){
			
			var server="http://www.didibox.cn/app/update";   //获取升级描述文件服务器地址
	
			mui.getJSON(server,{"appid":plus.runtime.appid,"version":plus.runtime.version,"imei":plus.device.imei,"os":plus.os.name},function (data) {
				
				console.log(data.url);
				
				if(data.status){
					plus.nativeUI.confirm( data.note, function(event){
						if ( 0==event.index ) {
							plus.runtime.openURL( data.url );
						}
					}, data.title, ["立即更新","取　　消"] );
				}
				else{
					if(notUpdateCallback)
						notUpdateCallback();
				}
			});
			
		},time);
	};

})(mui, window.common = {}, window);

/* 验证方法 */
(function (mui, self, document) {
	
	//手机号
	self.isMail = function (mail) {
		var reg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
		return reg.test(mail.trim());
	};
	
	//手机号
	self.isMobile = function (mobile) {
		var reg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
		return reg.test(mobile.trim());
	};
	
	//电话
	self.isPhone = function (phone) {
		var reg = /^(([0\+]\d{2,3}-)?(0\d{2,3})-)?(\d{7,8})(-(\d{3,}))?$/;
		return reg.test(phone.trim());
	};
	
	//qq
	self.isQQ = function (qq) {
		var reg = /^[1-9]\d{4,15}$/;
		return reg.test(qq.trim());
	};
	
	//只能是数字
	self.isNumber = function (value) {
		var reg = /^[0-9]+$/;
		return reg.test(value.trim());
	};



})(mui, window.validate = {}, document);
