(function(mui, window, document) {

	var shares = null;

	mui.init();
	mui.plusReady(function() {

		document.getElementById("appver").innerHTML = "版本V" + plus.runtime.version;

		var curUser = common.getUser();
		if (curUser.isLogin) {
			document.getElementById("btnLoginOut").style.display = "block";
			
			userService.getUserInfo(function(data) {

				var receivePushMessage = data.ReceivePushMessage;
				if (receivePushMessage)
					document.getElementById("receiveNotice").className = "mui-switch mui-switch-mini mui-active";

				plus.webview.currentWebview().show();


			}, function(error) {
				//mui.toast(error);
			});
		}
		else{
			document.getElementById("receiveNotice").className = "mui-switch mui-switch-mini mui-active";
			
			plus.webview.currentWebview().show();
		}

		getCacheSize();

		setTimeout(function() {

			shares = common.getShareServices();

		}, 50);

	});

	//提现账户设置
	document.getElementById("txAccountSetting").addEventListener("tap", function() {

		var curUser = common.getUser();
		if (curUser.isLogin) {
			var view = plus.webview.create("myaccountsetting.html", "myaccountsetting", {
				top: "0px",
				bottom: "0px",
				popGesture: "hide"
			}, {
				update: true
			});

			var aniShow = common.aniShow();
			view.show(aniShow.show, aniShow.time);
		} else {
			common.userLogin();
		}

	});

	//接收通知
	document.getElementById("receiveNotice").addEventListener("toggle", function(event) {
		if (event.detail.isActive) {

			console.log("你启动了开关");

			userService.updateUserReceivePushMessage(true, function() {}, function(error) {
				mui.toast("error");
			});

		} else {
			console.log("你关闭了开关");
			plus.nativeUI.confirm("关闭通知可能错过红包开启哦\n确定要关闭吗？", function(e) {
				if (e.index == 0) {

					userService.updateUserReceivePushMessage(false, function() {}, function(error) {
						mui.toast("error");
					});

				} else
					mui("#receiveNotice").switch().toggle();
			}, "提示", ["关闭", "取消"]);

		}
	})

	//检查更新
	document.getElementById("updateApp").addEventListener("tap", function() {

		common.checkUpdate(10, function() {
			mui.toast("已经是最新版了");
		});

	});


	//分享app
	function shareApp(share, ex) {
		toolService.getShareConfig(function(data) {
			var msg = {
				extra: {
					scene: ex
				}
			};

			var curUser = common.getUser();

			var appShareConfig = data;

			msg.href = appShareConfig.ShareUrl;
			console.log("分享链接地址：" + msg.href);
			msg.title = appShareConfig.ShareTitle;
			msg.content = appShareConfig.ShareDes;
			//		if (~share.id.indexOf('weibo')) {
			//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
			//		}
			msg.thumbs = [appShareConfig.ShareLogo];
			share.send(msg, function() {
				plus.nativeUI.closeWaiting();
				mui.toast("分享成功 ");
				console.log("分享到\"" + share.description + "\"成功！");

			}, function(e) {
				plus.nativeUI.closeWaiting();
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
			});
		});

	}

	//获取缓存
	var getCacheSize = function() {

		plus.cache.calculate(function(size) {

			var curSize = size / (1024 * 1024);

			if (curSize > 0)
				document.getElementById("cacheSize").innerText = curSize.toFixed(1) + "M";

		});
	}

	//清理缓存
	document.getElementById("clearCache").addEventListener("tap", function() {

		plus.cache.clear(function() {

			document.getElementById("cacheSize").innerText = "";

			mui.toast("已清理完毕");

		});
	});

	//退出
	document.getElementById("btnLoginOut").addEventListener("tap", function() {
		var curUser = common.getUser();
		if (curUser.isLogin && curUser.siteName != "") {
			var siteName = curUser.siteName;
			plus.oauth.getServices(function(services) {
				if (services && services.length > 0) {
					var html = "";
					mui.each(services, function(i, item) {
						if (item.id == siteName) {
							console.log(siteName + "退出");
							item.logout();
							return false;
						}
					});
				}
			}, function(e) {});
		}

		localStorage.removeItem("user");
		plus.storage.removeItem("adlist");

		//设置一个空的user
		common.setUser();

		mui.fire(plus.webview.getWebviewById("mysetting"), "updateLoginStatusEvent");

		mui.fire(plus.webview.getLaunchWebview(), "refreshEvent");
		mui.fire(plus.webview.getLaunchWebview(), "updateAvatarEvent");

		mui.toast("已退出");


		mui.fire(plus.webview.currentWebview().parent(), "CloseViewEvent");

	}, false);


})(mui, window, document);