(function(mui,window,document){
	
	var main = null;
    var addressId = 0; 
    var pageTitle = document.getElementById("pageTitle");
    
	mui.init();
	
	mui.plusReady(function(){ 
		main = plus.webview.currentWebview();
  		addressId = main.addressId;
  		pageTitle.innerText = "添加收货地址";
  		
  		if(addressId>0){
  			pageTitle.innerText = "修改收货地址";
  			
  			userService.getAddressInfo(addressId,function(data){
  				document.getElementById("userName").value = data.UserName;
  				document.getElementById("mobile").value = data.Mobile;
  				document.getElementById("address").value = data.Address;
  				document.getElementById("addressId").value = addressId;
  			});
  		}
	});
	
	//添加地址
  	document.getElementById("btnSelectAddress").addEventListener("tap",function(){
  		var userName = document.getElementById("userName");
  		var mobile = document.getElementById("mobile");
  		var address = document.getElementById("address");
  		
  		if(userName.value.trim()==""){
  			mui.toast("请输入收货人");
  			return false;
  		}
  		
  		if(common.getStringLength(userName.value.trim())<4){
  			mui.toast("收货人错误");
  			return false;
  		}
  		
  		if(mobile.value==""){
  			mui.toast("请输入手机号");
  			return false;
  		}

  		if(!validate.isMobile(mobile.value)){
  			mui.toast("手机号误");
  			return false;
  		}
  		
  		if(address.value==""){
  			mui.toast("请输入收货地址");
  			return false;
  		}
  		
  		if(common.getStringLength(address.value.trim())<6){
  			mui.toast("请输入详细的收货地址");
  			return false;
  		}
  		
  		var data = {
  			userName:userName.value.trim(),
  			mobile:mobile.value.trim(),
  			address:address.value.trim(),
  			addressId:addressId,
  		};
  		
  		plus.nativeUI.showWaiting("请稍候");
  		userService.saveAddress(data,function(result){
  			plus.nativeUI.closeWaiting();	
  			
  			mui.fire(plus.webview.getWebviewById("myaddress"),"createAddressEvent",{
  				address:JSON.stringify(result)
  			});
  			
  			plus.webview.currentWebview().close();
  			
  		});
  		
  	});
	
})(mui,window,document);
