(function($, feedback, window, document) {

	/*************** 环信配置开始 ****************/
	//以后信息更改后，需卸载 “调试 app” 重新调用运行
	var APP_KEY = 'sipsoft#sandbox';
	var CUSTOM_ID = '863939';
	/*************** 环信配置结束 ****************/

	//一组 “常量”
	var PASSWORD = 'dd123456';
	var LOCAL_STORE_KEY = 'ddbox://user';
	var USER_PREFIX = 'ddbox-user-';


	/**
	 * 生成一个 IM 用户名
	 **/
	var createUsername = function() {
		return USER_PREFIX + (new Date()).getTime();
	};

	/**
	 * 获取用户，如果在本地存储中已有用户则直接返回。
	 * 否则，注册新的用户
	 **/
	feedback.getUser = function(callback) {
		var storeUserText = localStorage.getItem(LOCAL_STORE_KEY);
		if (storeUserText) {
			if (callback) callback(JSON.parse(storeUserText));
			return;
		}
		var newUsername = createUsername();
		Easemob.im.Helper.registerUser({
			username: newUsername,
			password: PASSWORD,
			appKey: APP_KEY,
			success: function(result) {
				var userInfo = {
					username: newUsername,
					password: PASSWORD
				};
				localStorage.setItem(LOCAL_STORE_KEY, JSON.stringify(userInfo));
				if (callback) callback(userInfo);
			},
			error: function(e) {
				plus.nativeUI.toast(e.message);
			}
		});
	};

	/**
	 * 登录环信息服务器
	 **/
	feedback.login = function(callback) {
		feedback.getUser(function(user) {
			var conn = new Easemob.im.Connection();
			conn.init({
				onOpened: function() {
					//alert("成功登录");
					conn.setPresence();
					if (callback) callback(user, conn);
				},
				onError:function(e){
					alert(e.msg);
				},
				onTextMessage : function(message){
				 		//收到文本消息时的回调方法
					//console.log(message);
					//alert("发送消息成功");		
//				   var from = message.from;//消息的发送者
//				   var mestype = message.type;//消息发送的类型是群组消息还是个人消息
//				   var messageContent = message.data;//文本消息体
//				   if (mestype == 'groupchat') {
//						//进行群组消息页面处理	
//					} else {
//						//进行个人消息页面处理	
//					}
				 }
			});
			conn.open({
				user: user.username,
				pwd: user.password,
				appKey: APP_KEY
			});
		});
	};

	/**
	 * 发送反馈信息
	 **/
	feedback.send = function(content, callback) {
		
		feedback.login(function(user, conn) {
			//发送文本消息
			var msgText = '问题:' + content.question;
			if (content.contact) {
				msgText += '; 联系方式:' + content.contact + ';'
			}
			conn.sendTextMessage({
				to: CUSTOM_ID,
				msg: msgText,
				type: "chat"
			});
			//如果没有截图
			if (!content.images || content.images.length < 1) {
				if (callback) callback();
				return;
			}
			//如果有截图
			var sendImageCount = 0;
			var hasError = false;
			content.images.forEach(function(fileInputId) {
				//alert(fileInputId)
				conn.sendPicture({
					fileInputId: fileInputId,
					to: CUSTOM_ID,
					onFileUploadError: function(error) {
						//处理图片上传失败
						alert(JSON.stringify(error));
						hasError = true;
					},
					onFileUploadComplete: function(data) {
						//处理图片上传成功，如本地消息显示
						sendImageCount++;
						if (!hasError && sendImageCount >= content.images.length) {
							if (callback) callback();
						}
					}
				});
			});
			//--
		});
	};

})(mui, window.feedback = {}, window, document);