(function(mui, window, document, undefined) {
	
	var main = null;
	var curUser = null;
	var subViewStyles = {top:"45px",bottom:"0px",popGesture:"hide"};
	
	var btnShowSetting = document.getElementById("btnShowSetting");
	var btnShowHelper = document.getElementById("btnShowHelper");
	
			
	mui.init({
		backSwipe:true,
		gestures:{doubletap:true}
	});
	

	mui.plusReady(function(){
		
		if (mui.os.ios) {
			plus.navigator.setFullscreen(false);
			plus.navigator.setStatusBarBackground("#000000");
			plus.navigator.setStatusBarStyle("UIStatusBarStyleBlackTranslucent");
		}
		
		//todo 测试用
//		curUser = common.getUser();
//		curUser.token = '8851819f4bed460e948b861665016abe';
//		common.setUser(curUser);
		
		//仅支持竖屏显示 
		plus.screen.lockOrientation("portrait-primary");

		main = plus.webview.currentWebview();
		
		//读取本地存储，检查是否为首次启动
		var showGuide = plus.storage.getItem("lauchFlag");
		if (showGuide) {
			plus.navigator.closeSplashscreen();
			plus.navigator.setFullscreen(false);
			
			init();
		}
		else{
			//显示启动导航
			mui.openWindow({
				id: 'guide',
				url: 'guide.html',
				show: {aniShow: 'none'},
				waiting: {autoShow: false}
			});
			
//			setTimeout(function(){
//				init();
//			},2000);
		}
	
		plus.push.addEventListener( "receive", function( msg ) {
			mui.fire(plus.webview.getWebviewById("joblist"),"refreshEvent");
		});
		
		plus.push.addEventListener( "click", function( msg ) {
			//点击刷新首页
			mui.fire(plus.webview.getWebviewById("joblist"),"refreshEvent");
		});
		
		
		
	});
	
	//更新位置
	function updatePosition(){
		
		curUser = common.getUser();
		if(curUser.isLogin){
			setTimeout(function(){
				mui.getBaiduPosition(function(posResult){
					if(posResult != false && posResult.addresses){
						//成功获取到用户位置信息
						userService.updateUserPosition(posResult,function(){});
					}
				});
			},5000);
		}
	}
	
	//页面初始化，主要是从guide页过来时
	window.addEventListener("PageInitEvent",function(){
		init();
	});
	
	//更新用户位置通知
	window.addEventListener("UpdateUserPositionEvent",function(){
		updatePosition();
	});
	
	function init(){
		
		updateAvatar();
		
		reloadPages();
		
		//5秒后获取用户位置信息
		updatePosition();
		
		common.checkUpdate();
		
	}
	
	//预加载页面
	function reloadPages(){
		
		var startTime = new Date().getTime();
		var adlist_view = mui.preload({id:"joblist",url:"/html/joblist.html",styles:subViewStyles}); //这里预加载速度是在init里的两倍
		main.append(adlist_view);
		
		//先满足adlist页面加载成功
		var view_styles = {top:"0px",bottom:"0px",popGesture:"hide"};
		setTimeout(function(){
			
			mui.preload({id:"jobinfo-main",url:"html/jobinfo-main.html",styles:view_styles});
			mui.preload({id:"mysetting",url:"html/mysetting.html",styles:view_styles});
			mui.preload({id:"layout",url:"layout.html",styles:view_styles});
			
			if(!curUser.isLogin)
				mui.preload({id:"login",url:"html/login.html",styles:view_styles});
			
		},300);
		
		setTimeout(function(){
			mui.preload({id:"openhongbao",url:"html/openhongbao.html",styles:view_styles});
			
			//mui.preload({id:"view-main",url:"view-main.html",styles:view_styles});
			mui.preload({id:"layout2",url:"layout2.html",styles:view_styles});
			mui.preload({id:"layout3",url:"layout3.html",styles:view_styles});
			
		},1000); 
		
	}
	
	//设置按钮
	btnShowSetting.addEventListener("tap",function(){
		var view = plus.webview.getWebviewById("mysetting");
		var aniShow = common.aniShow();
		view.show(aniShow.show,aniShow.time);
	},false);
	
	//更新用户头像
	var updateAvatar = function(){
		curUser = common.getUser();
		if(curUser.isLogin){
			btnShowSetting.className = "mui-pull-left userface";
			btnShowSetting.innerHTML = '<img data-src="'+curUser.avatar+'" class="imgUserFace"/>';
			
			lazyload(document.querySelector(".imgUserFace"));
			
		}
		else{
			btnShowSetting.innerHTML = '';
			btnShowSetting.className = "icon iconfont icon-touxiang mui-pull-left";
		}
	};
	

	//双击返回头部
	document.getElementById("pageTitle").addEventListener('tap',function () {
		if(main.children().length>0){
			if(mui.os.ios){
				main.children()[0].evalJS("mui('#pullContainer').pullRefresh().scrollTo(0,0,100)");
			}else{
				main.children()[0].evalJS('mui.scrollTo(0, 100)');
			}
		}
	});
	
	//显示帮助
	document.getElementById("btnShowHelper").addEventListener("tap",function(){
		
		var view = common.getLayout();
		
		var data = {id:"helper",url:"helper.html",title:"帮助"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show("slide-in-right",200);
		
		
	});
	
	//处理逻辑：1秒内，连续两次按返回键，则退出应用；
	var first = null;
	mui.back = function() {
		//首次按键，提示‘再按一次退出应用’
		if (!first) {
			first = new Date().getTime();
			mui.toast('再按一次退出滴滴盒子');
			setTimeout(function() {
				first = null;
			}, 1000);
		} else {
			if (new Date().getTime() - first < 1000) {
				plus.runtime.quit();
			}
		}
	};
	
	//更新头像事件
	window.addEventListener("updateAvatarEvent",function(){
		updateAvatar();
	});
})(mui,window,document,undefined);
