(function(mui,window,document){
	
	var main = null;
	var jobInfoView=null;
	
	var jobId = 0;
	
	mui.init({
		gestures:{doubletap:true}
	});
	
	mui.plusReady(function(){

		main = plus.webview.currentWebview();
	
		jobInfoView = mui.preload({id:"jobinfo",url:"jobinfo.html",styles:{top:"45px",bottom:"50px"}});
		main.append(jobInfoView);
			
	});
	
	//双击返回头部
	document.getElementById("pageTitle").addEventListener('tap',function () {
		if(main.children().length>0){
			if(mui.os.ios){
				main.children()[0].evalJS("mui('#pullContainer').pullRefresh().scrollTo(0,0,100)");
			}else{
				main.children()[0].evalJS('mui.scrollTo(0, 100)');
			}
		}
	});
	
	//发表评论
	document.getElementById("btnPostComment").addEventListener("tap",function(){
		
		var curUser = common.getUser();
		if(!curUser.isLogin)
		{
			common.userLogin();
			return false;
		}
		
		var txtComment = document.getElementById("txtComment");
		var comment = txtComment.value.trim();
		
		if(comment=="") 
			return mui.toast("请输入评 论");
		
		if(common.getStringLength(comment)<4)
			return mui.toast("评论多写几个字吧");
		
		mui.fire(jobInfoView,"postJobComment",{content:comment});
		
	});
	
	//分享广告
	document.getElementById("btnShareAd").addEventListener("tap",function(){
		mui.fire(jobInfoView,"shareAdEvent");
	});
	
	//设置回复内容
	window.addEventListener("setReplyContentEvent",function(e){
		var content = e.detail.content;
		if(content!="")
			content+="：";
			
		document.getElementById("txtComment").value = content;
		//document.getElementById("txtComment").focus();
	});
	
	window.addEventListener("showJobInfoEvent",function(e){
		
		jobId = e.detail.jobId;
		
		pageTitle.innerText = e.detail.title;
		pageTitle.className = "mui-title anim_opacity";
		
		mui.fire(jobInfoView,"showJobInfoEvent",{jobId:jobId});
	
	});
	
	//滚动条
	window.addEventListener("postCommentSuccessEvent",function(e){
		document.getElementById("txtComment").value = '';
	});
	
	var back = mui.back;
	mui.back = function(){
		
		setTimeout(function(){
			mui.fire(jobInfoView,"backEvent");	
		},200);
		
		back();
		
	};
	
})(mui,window,document);
