(function(mui,window,document){
	
	var main = null;
	var jobId = 0;
	var curJob = null;
	var commentPageIndex = commentPageCount = 0;
	
	var curUser = setting = imgSize = null;
	
	var adContainer = document.getElementById("adContainer");
	var commentsList = document.querySelector(".commentslist");
	var loading = document.getElementById("loading");
	var pageTitle = document.getElementById("pageTitle");
	var pullContainer = mui('#pullContainer');
	
	var showLoad = true;
	
	setTimeout(function(){
		mui.init({
			pullRefresh:{
				container:"#pullContainer",
				down:{
					callback:pulldown
				},
				up:{
					callback:pullup
				}
			}
		});	
	},100);
	
	mui.plusReady(function(){
		
		curUser = common.getUser();
		setting = common.getSetting();

		main = plus.webview.currentWebview();
		
		//主界面向右拖动，关闭界面,在ios下使用dragright会出现乱闪的情况，ios本身支持则滑关闭
//		if(mui.os.android)
//			window.addEventListener("dragright", mui.back);
			
		setTimeout(function() {
			shares = common.getShareServices();
		}, 20); 

	});
	
	//下拉
	var pulldown = function(){
		
		//如果等待框还在显示，则不能获取数据，直接关闭下拉
		if(!showLoad)
			getJobInfo(true);
		else{
			resetPullContainer();
		}
	};
	
	//上拉加载评论
	var pullup = function(){
		
		commentPageIndex++;
	
		if(commentPageIndex>commentPageCount){
			pullContainer.pullRefresh().endPullupToRefresh(true);
		}
		else{
			
			jobService.getJobComments({jobId:jobId,pageIndex:commentPageIndex,callback:function(comments,totalPages){
				if(comments && comments.length>0){
						
					commentsList = document.querySelector(".commentslist");
					var cmtHtml = template("commentTemplate",{comments:comments});
					common.appendHtml(document.querySelector(".commentslist"),cmtHtml);
				}
				
				pullContainer.pullRefresh().endPullupToRefresh(false);
				
			}});
		}
	
	}
	
	//设置下拉控件状态
	var setPullContainerStatus = function(status){
		setTimeout(function(){
			if (status)
				pullContainer.pullRefresh().enablePullupToRefresh(); //启用上拉刷新
			else
				pullContainer.pullRefresh().disablePullupToRefresh();
		},1000);
	}
	
	//重置下拉框
	var resetPullContainer = function(){
		pullContainer.pullRefresh().endPulldownToRefresh();
	
		//重置下拉
		pullContainer.pullRefresh().refresh(true);
	};
	
	//显示等待框
	var showLoading = function(){
		
		showLoad=true;
		
		var pullDownPoket = document.querySelector(".mui-pull-bottom-pocket");
		
		if(pullDownPoket)
			pullDownPoket.className = 'mui-pull-bottom-pocket';
		
		loading.style.display = "block";
		adContainer.style.display = "none";
		
	};
	
	//关闭等待框
	var closeLoading = function(){
		showLoad=false;
		loading.style.display = "none";
		adContainer.style.display = "block";
	};
	
	var getJobInfo = function(pulldown){
		
		jobService.getUserJobInfo(jobId,
			function(data,clickUsers){
			
				if(pulldown){
					resetPullContainer();
				}
				
				curJob = formatJobInfo(data);
				curJob.ClickUsers = clickUsers;
				
				var html = template("adTemplate",curJob);
				adContainer.innerHTML = html;
				
				closeLoading();
				
				var img = document.getElementById("img" + data.JobId);
				lazyload(img);
				
				//加载评论
				if(curJob.CommentCount>0){
					commentPageIndex = 1;
					jobService.getJobComments({jobId:jobId,callback:function(comments,totalPages){
						
						commentPageCount = totalPages;
						
						if(comments && comments.length>0){
							
							commentsList = document.querySelector(".commentslist");
							
							var cmtHtml = template("commentTemplate",{comments:comments});
							commentsList.innerHTML = cmtHtml;
							document.querySelector(".commentsContainer").style.display ="block";
						}
						
						setPullContainerStatus((commentPageCount>1));
		
					}});
					
				}
				else
					pullContainer.pullRefresh().disablePullupToRefresh()
			},
			function(){
				if(pulldown){
					resetPullContainer();
				}
			}
		);
	};
	
	//格式化JobInfo
	var formatJobInfo = function(data){
		
		if(data.RuleDes && data.RuleDes!="")
			data.RuleDes = data.RuleDes.replace(/\n/g,"<br/>");  
		
		data.ImageUrl += setting.imageSuffix;  //加上最尺寸后缀
		
		imgSize = common.getImageSize(20,data.ImageWidth,data.ImageHeight); //获取最适合的图片， 两个各空出10px

		var left = (imgSize.width * data.ProgressBar / 100);

		if (left <= 10)
			data.ProgressBarLeft = (10 + left);
		else if (left > 10 && left < (imgSize.width - 36 - 10)) //减去圆圈36宽,10像素是右边空出10像素
			data.ProgressBarLeft = (left - 18);
		else
			data.ProgressBarLeft = (left - 46);

		data.MarginTop = ((imgSize.height - 92) / 2);
		data.MarginLeft = ((imgSize.width - 100) / 2);

		data.ImageWidth = imgSize.width;
		data.ImageHeight = imgSize.height;
		
		return data;
	};
	
	//更新状态
	window.addEventListener("updateJobStatusEvent",function(e){
		var data = JSON.parse(e.detail.data);
		updateAdStatus(data);
	});
	
	//更新广告状态，一般用在展示、点击、评论后
	var updateAdStatus =function(data,clickJob){
		
		data.Des = data.RuleDes = ""; //通知不需这两个值
		//进度条控件
		data = formatJobInfo(data);
		var bar_label = document.querySelector(".progress-label");
		bar_label.innerHTML = data.ProgressBar+"%";
		bar_label.style.left = data.ProgressBarLeft+"px";
		
		
		var status = document.querySelector(".status");
		var btnStatus = document.querySelector(".statusContainer");
		
		//如果是点击任务
		if(clickJob){
			
			var clickContainer = document.querySelector(".clickUserInfo");
			if(data.UserCount==0){
				clickContainer.innerHTML = '<div class="clickUserInfo">共有'+data.ClickUserCount+'人已参与，<span>查看红包动态</span></div>';
			}
			else{
				clickContainer.innerHTML = '<div class="clickUserInfo">已有'+data.ClickUserCount+'人参与，还差'+data.UserCount+'人参与开启，<span>查看红包动态</span></div>';
			}
			
			common.prependHtml(document.querySelector(".clickUsers"),'<img src="'+common.getUser().avatar+'" class="userface"/>')
			
			document.querySelector(".clickContainer").style.display="block";
		}
		
		if(data.IsComplete)
		{
			if(data.UserClickFee>0)
			{
				if(data.PayHongBao){
					btnStatus.innerHTML = '<div class="showhongbao" data-id="'+data.JobId+'" data-title="'+data.Title+'" data-simpleTitle="'+data.SimpleTitle+'"><i class="icon iconfont iconmoney"></i>你已抢得'+data.HongBaoMoney+'元,查看<span>红包详情</span></div>';
				}
				else{
				 	//status.innerHTML ='<span class="totalmoney">'+data.TotalMoney+'</span><span>元红包准备就绪</span>';
				 	
				 	console.log("准备定时监控");
				 	
				 	//已完成，还没有生成红包，定时监控,每2秒一次
				 	var runing = false;
				 	var timer = setInterval(function(){
				 		if(!runing){
				 			console.log("runing="+runing);
				 			runing = true;
					 		jobService.checkJobHongBaoStatus(data.JobId,function(status){
					 			
					 			console.log("监控status="+status);
					 			if(status=="error"){
					 				//发生错误，定时器停止
					 				clearInterval(timer);
					 				timer=null;
					 			}
					 			else if(status){
					 				
					 				clearInterval(timer);
					 				timer=null;
					 				
					 				var hbEle = document.querySelector(".qianghongbao");
					 				
					 				//如果没有抢红包的图标就显示
									if(!hbEle || hbEle.length == 0)
									{
										var html = '<div class="jobmask" style="width:'+data.ImageWidth+'px;height: '+data.ImageHeight+'px;"></div>';
										html += '<div class="qianghongbao openHongBao" data-id="'+data.JobId+'" data-title="'+data.SimpleTitle+'" data-money="'+data.TotalMoney+'"  style="top:'+data.MarginTop+'px;left:'+data.MarginLeft+'px"></div>';
										
										common.appendHtml(document.getElementById("ad"+data.JobId),html);
									}
									
									//更改当前广告的红包状态
									data.PayHongBao = true;
									
									//通知首页
									mui.fire(plus.webview.getWebviewById("joblist"),"updateJobStatusEvent",{jobinfo:JSON.stringify(data)});
									
					 			}
					 			 
					 		});
				 		}
				 	},2000);
				 	
				}
				
				if(data.UserClickHongBao)
				{
					btnStatus.innerHTML = '<div class="showhongbao" data-id="'+data.JobId+'" data-title="'+data.Title+'" data-simpleTitle="'+data.SimpleTitle+'"><i class="icon iconfont  icon-money"></i>你已抢得'+data.HongBaoMoney+'元，查看<span>红包详情</span></div>';
				}
				else{
					btnStatus.innerHTML = '<div class="joininfo"><i class="icon iconfont icon-wancheng" style="color: #11cd6e;"></i>红包已准备就绪</div><button type="button" class="openHongBao mui-btn mui-btn-red" data-id="'+data.JobId+'" data-title="'+data.SimpleTitle+'" data-money="'+data.TotalMoney+'">立即开红包</button>';
				}
			}
			else{
				btnStatus.innerHTML = '<div class="red"><i class="icon iconfont icon-kulian"></i>不好意思，你来晚了</div>';
			}
		}
		else{
			//status.innerHTML = '<span class="totalmoney">'+data.TotalMoney+'</span><span>元红包，已积累'+data.ProgressBar+'%</span>';
			if(data.UserClickFee>0){
				btnStatus.innerHTML = '<div class="joininfo"><i class="icon iconfont icon-wancheng" style="color: #11cd6e;margin-right:10px"></i>已参与，等待红包开启</div><button type="button" class="sharead mui-btn mui-btn-red">邀请好友，加速红包开启</button>';
			}
			else{
				btnStatus.innerHTML = '<div class="joinrule">{{#RuleDes}}</div><div class="joininfo"><i class="icon iconfont icon-wancheng" style="color:#dfdfdf;margin-right: 5px;"></i>未参与，参与才能抢红包</div><button class="btnClickJob mui-btn mui-btn-red">点击参与</button>';
			}
		}

		//通知adlist页面，更新该广告的状态
		mui.fire(plus.webview.getWebviewById("joblist"),"updateJobStatusEvent",{jobinfo:JSON.stringify(data)});
		
	};
	
	//显示红包动态
	mui("#adContainer").on("tap",".showHongBaoDongTai",function(){
		var layout = common.getLayout();
		
		var data = {id:"hongbaodongtai",url:"html/hongbaodongtai.html",title:"红包动态",param:{jobId:jobId}};
		
		mui.fire(layout,"loadTemplateView",{data:JSON.stringify(data)});
		
		var aniShow = common.aniShow();
		
		layout.show(aniShow.show,aniShow.time);
	});
	
	//跳转
	mui("#adContainer").on("tap",".goto",function(){
		
		if(curJob.JobTypeId != 10 && curJob.Href){
			plus.nativeUI.showWaiting();
			plus.runtime.openURL("http://www.didibox.cn/go/"+curJob.JobId+"/didibox");
			setTimeout(function(){
				plus.nativeUI.closeWaiting();
			},3000);
		}
	});
	
	//showhongbao
	mui("#adContainer").on("tap",".showhongbao",function(){
		var jobId = this.getAttribute("data-id");  		
  		
  		var title = this.getAttribute("data-title");
  		var simpleTitle = this.getAttribute("data-simpleTitle");
  		
  		var view = plus.webview.getWebviewById("showhongbao-main");
  		
  		if(!view)
			view = plus.webview.create("showhongbao-main.html","showhongbao-main",
					{popGesture:"hide"},
					{
						jobId:jobId,
						title:title,
						simpleTitle:simpleTitle,
						from:"jobinfo"
					});
		else{
			mui.fire(view,"showHongBaoEvent",{jobId:jobId,from:"jobinfo",title:title});
		}
		
		var aniShow = common.aniShow();
  		view.show(aniShow.show,aniShow.time);
	});
	
	//点击贡献广告
	mui("#adContainer").on('tap',".btnClickJob",function(){
		
		var curUser = common.getUser();
		if(!curUser.isLogin){
			common.userLogin({jobId:curJob.JobId,title:curJob.Title});
			return false;
		}

		//判断当前红包是不是新手红包
		if(curJob.JobTypeId == 10){
			//新手红包直接调用分享
			plus.nativeUI.showWaiting();
			
			common.showShareServicesMenu(shares, function(share, ex) {
				
				var data = {
	  				ShareUrl:"http://www.didibox.cn/go/"+curJob.JobId+"/"+share.id,
	  				ShareTitle:curJob.ShareTitle,
	  				ShareDes:curJob.ShareContent,
	  				ShareLogo:curJob.ImageUrl,
	  			};
				
				plus.nativeUI.closeWaiting();
				
				shareAppMessage(data,share,ex,function(){
					
					//分享成功，
					jobService.clickJob(curJob.JobId,function(data,error){
						if(!error){
							
							var str = "成功贡献" + data.UserClickFee + "元";
							common.showNotice(str);
					
							updateAdStatus(data,true);
							
							//增加参与标签
							var jointag = document.querySelector(".jointag");
							if(!jointag){
								common.appendHtml(document.getElementById("ad"+curJob.JobId),"<div class='jointag'>已参与</div>")
							}
							
						}
						else{
							mui.toast(error);
							getJobInfo();
						}
					});
					
				});
			});
			
		}
		else{
			
			plus.nativeUI.showWaiting("正在等待反馈参与状态");
			
			if(curJob.Href){
				plus.runtime.openURL("http://www.didibox.cn/go/"+curJob.JobId+"/didibox");
			}
			
			setTimeout(function(){
				jobService.clickJob(curJob.JobId,function(data,error){
				
					plus.nativeUI.closeWaiting();
					
					if(!error){
						var str = "成功贡献" + data.UserClickFee + "元";
						common.showNotice(str);
						mui.toast(str);
						
						updateAdStatus(data,true);
						
						//增加参与标签
						var jointag = document.querySelector(".jointag");
						if(!jointag){
							common.appendHtml(document.getElementById("ad"+curJob.JobId),"<div class='jointag'>已参与</div>")
						}
					}
					else{
						
						if(curJob.Href){
							plus.nativeUI.confirm(error+"\n你还可以去查看商品", function(event){
								if ( 0==event.index ) {
									plus.runtime.openURL("http://www.didibox.cn/go/"+curJob.JobId+"/didibox");
								}
							}, data.title, ["查看商品","取　　消"] );
						}
						else
							plus.nativeUI.alert(error);
						
					}
					
				});
			},10000);
			
		}
	});
	
	//抢红包
  	mui("#adContainer").on("tap",".openHongBao",function(){
  		
  		var curUser = common.getUser();
  		
  		if(!curUser.isLogin)
  		{
  			common.userLogin();
  			return false;
  		}
  		else{
  			
      		var jobId = this.getAttribute("data-id");
      		var title = this.getAttribute("data-title");
      		var simpleTitle = this.getAttribute("data-simpleTitle");
      		var money = this.getAttribute("data-money");
      		
      		var view = plus.webview.getWebviewById("openhongbao");
      		mui.fire(view,"openHongBao",{jobId:jobId,title:title,money:money,simpleTitle:simpleTitle});
      		
			view.show("slide-in-top",200);
      				
  		}
  	});
  	
  	//回复用户评论
  	mui("#adContainer").on("tap",".commentBody",function(){
  		
  		var userId = this.getAttribute("data-userid");
  		var curUser = common.getUser();
  		if(!curUser.isLogin){
  			common.userLogin();
  			return false;
  		}
  		else{
  			if(userId!=curUser.userId){
  				var reply = "回复"+this.getAttribute("data-username");
  				
  				mui.fire(main.parent(),"setReplyContentEvent",{content:reply});
  				
  			}
  		}
  		
  	});
	
	//分享
	mui("#adContainer").on("tap",".sharead",function(){
		
		common.showShareServicesMenu(shares, function(share, ex) {
			shareApp(share, ex);
		});
		
	});
	
	//分享app
  	function shareApp(share,ex,shareSuccessCallback){
  		
  		if(curJob.JobTypeId == 10){
  			var data = {
  				ShareUrl:"http://www.didibox.cn/go/"+curJob.JobId+"/"+share.id,
  				ShareTitle:curJob.ShareTitle,
  				ShareDes:curJob.ShareContent,
  				ShareLogo:curJob.ImageUrl,
  			};
  			shareAppMessage(data,share,ex,shareSuccessCallback);
  		}
  		else{
  			
  			toolService.getShareConfig(function(data){
  			
  				shareAppMessage(data,share,ex,shareSuccessCallback);
  			
  			});
  		}
  		
  		
  	}
  	
  	function shareAppMessage(data,share,ex,shareSuccessCallback){
  		
  		var msg = {extra: {scene: ex}};
			
		var appShareConfig = data;

		msg.href = appShareConfig.ShareUrl;
		console.log("分享链接地址：" + msg.href);
		msg.title =appShareConfig.ShareTitle;
		msg.content =appShareConfig.ShareDes;
//		if (~share.id.indexOf('weibo')) {
//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
//		}
		msg.thumbs = [appShareConfig.ShareLogo];
		share.send(msg, function() {
			plus.nativeUI.closeWaiting();
			mui.toast("分享成功 ");
			console.log("分享到\"" + share.description + "\"成功！");
			
			if(shareSuccessCallback)
				shareSuccessCallback();
			
			
		}, function(e) {
			plus.nativeUI.closeWaiting();
			console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
		});	
  	}
  	
  	//分享广告
  	window.addEventListener("shareAdEvent",function(){
  		common.showShareServicesMenu(shares, function(share, ex) {
  			var data = {
  				ShareUrl:"http://www.didibox.cn/go/"+curJob.JobId+"/"+share.id,
  				ShareTitle:curJob.ShareTitle,
  				ShareDes:curJob.ShareContent,
  				ShareLogo:curJob.ImageUrl,
  			};
			shareAppMessage(data,share,ex);
		});
  	});
	
	//返回事件
	window.addEventListener("backEvent",function(){
		
		console.log("执行了JobInfo的BackEvent事件");
		
		adContainer.innerHTML= "";
		pullContainer.pullRefresh().refresh(true);
		
		showLoading();
	});
	
	//刷新本页,主要用于开红包后
	window.addEventListener("reload",function(){

		var ele = document.querySelector(".qianghongbao");
		if(ele)
			ele.parentNode.removeChild(ele);
		
	});
	
	//发评论
	window.addEventListener("postJobComment",function(e){

		var content = e.detail.content;
		
		var curUser = common.getUser();
		
		jobService.postJobComment({
			jobId:jobId,
			content:content,
			onSuccess:function(data,commentContent){
				
				var html = '<div class="comment-item"><img src="'+curUser.avatar+'" class="avatar" /><div class="username">'+curUser.userName+'</div><span class="date">刚刚</span><div class="content">'+commentContent+'</div></div>';
						
				var commentslist = document.querySelector(".commentslist");
						
				common.prependHtml(commentslist,html);
				
				document.querySelector(".commentsContainer").style.display = "block";
				
				if(data.UserCommentFee>0 && data.IsFirst){
					updateAdStatus(data);
				}
				
				//控件
				mui.fire(plus.webview.getWebviewById("jobinfo-main"),"postCommentSuccessEvent");
				
				var top = getElemPos(commentslist).y;
				console.log("滚动条top="+top);
				
				mui.scrollTo((top-200),100);
				//mui('#pullContainer').scroll().scrollTo(0,500);
				
//				setTimeout(function(){
//					window.scrollTo(0,top);	
//				},500);
//				
			}
		});
		
	});
	
	function getElemPos(obj){
        var pos = {"top":0, "left":0};
         if (obj.offsetParent){
           while (obj.offsetParent){
             pos.top += obj.offsetTop;
             pos.left += obj.offsetLeft;
             obj = obj.offsetParent;
           }
         }else if(obj.x){
           pos.left += obj.x;
         }else if(obj.x){
           pos.top += obj.y;
         }
         return {x:pos.left, y:pos.top};
	}
	
	//显示任务信息
	window.addEventListener("showJobInfoEvent",function(e){
		
		jobId = e.detail.jobId;
		
		getJobInfo();
		
	});

})(mui,window,document);