(function(mui, window, document, undefined) {

	var main = null;
	var pageIndex = pageCount = 1;
	var firstLoad = false; //第一次加载
	var curUser = setting = imgSize = aniShow = null;

	var jobInfoMainView = null; //显示广告的页面
	var adContainer = common.get("adContainer");
	
	//窗体是否显示
	var viewIsShow = false;

	setTimeout(function() {
		mui.init({
			pullRefresh: {
				container: "#pullContainer",
				down: {
					callback: pulldown
				},
				up: {
					callback: pullup
				}
			}
		});
	}, 50);

	mui.plusReady(function() {
		
		curUser = common.getUser();
		setting = common.getSetting();
		
		aniShow = common.aniShow();

		main = plus.webview.currentWebview();
 
		loadJobs();

	});


	//上拉
	var pullup = function() {
		pageIndex++;
		
		if (pageIndex > pageCount)
			mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
		else {
			mui('#pullContainer').pullRefresh().endPullupToRefresh(false);

			jobService.getUserJobs({
				onSuccess: function(data, totalPages) {
					loadAdsCallback(data, true);
				}
			});
		}
	};

	//下拉
	var pulldown = function() {
		if(viewIsShow)
			loadJobs(true);
		else{
			//如果窗体还没有显示就往下拉，则关闭等待动
			mui('#pullContainer').pullRefresh().endPulldownToRefresh();

			//重置下拉
			mui('#pullContainer').pullRefresh().refresh(true);
		}
	};
	
	function loadJobs(pulldown){
		
		pageIndex = 1;
		
		curUser = common.getUser();
		if(!curUser.isLogin)
			document.querySelector(".notice").innerHTML="";

		jobService.getUserJobs({
			onSuccess: function(data, totalPages) {
				
				if(!pulldown){
					viewIsShow = true;
					main.show();
				}
				
				pageCount = totalPages;
				
				if(data && data.length>0){

					loadAdsCallback(data);
				}
				else{
					common.emptyData(adContainer,":) 红包抢光了，等待下一波");
				}
				
				if(pulldown){
					resetPullContainer();
				}
				
				setPullContainerStatus((pageCount > 1));
			},
			onError:function(){
				if(pulldown){
					//下接数据绑定完成后消失
					resetPullContainer();
				}
			}
		});
	}
	
	//设置下拉控件状态
	var setPullContainerStatus = function(status){
		setTimeout(function(){
			if (status)
				mui('#pullContainer').pullRefresh().enablePullupToRefresh(); //启用上拉刷新
			else
				mui('#pullContainer').pullRefresh().disablePullupToRefresh();
		},1000);
	}
	
	//重置下拉框
	var resetPullContainer = function(){
		mui('#pullContainer').pullRefresh().endPulldownToRefresh();
	
		//重置下拉
		mui('#pullContainer').pullRefresh().refresh(true);
	};

	//缓存直接从这里读取
	var bindData = function(data, append) {
		var html = template("adlistTemplate", {
			ads: data
		});

		if (append)
			common.appendHtml(adContainer, html);
		else
			adContainer.innerHTML = html;

		//延时加载图片并缓存到本地
		for (var i = 0; i < data.length; i++) {
			lazyload(document.getElementById("img" + data[i].JobId));
		}
	};

	//加载完广告回调事件
	var loadAdsCallback = function(data, append) {

		if (data && data.length > 0) {

			mui.each(data, function(i, item) {

				item.ImageUrl += setting.imageSuffix; //加上最尺寸后缀
				
				imgSize = common.getImageSize(20,item.ImageWidth,item.ImageHeight); //获取最适合的图片， 两个各空出10px

				var left = (imgSize.width * item.ProgressBar / 100);

				if (left <= 10)
					item.ProgressBarLeft = (10 + left);
				else if (left > 10 && left < (imgSize.width - 36 - 10)) //减去圆圈36宽,10像素是右边空出10像素
					item.ProgressBarLeft = (left - 18);
				else
					item.ProgressBarLeft = (left - 46);

				item.MarginTop = ((imgSize.height - 92) / 2);
				item.MarginLeft = ((imgSize.width - 100) / 2);

				item.ImageWidth = imgSize.width;
				item.ImageHeight = imgSize.height;

			});

			bindData(data);

		} else {
			common.emptyData("还没有发布广告数据哟")
		}
	};

	//更新广告事件
	window.addEventListener("updateJobStatusEvent", function(e) {
		
		console.log("更新广告返回Json="+e.detail.jobinfo);
		
		var jobinfo = JSON.parse(e.detail.jobinfo);

		if (jobinfo) {
			var progress_label = document.getElementById("progress-label" + jobinfo.JobId);
			var statusInfo = document.getElementById("status" + jobinfo.JobId);
			var eleAd = document.getElementById("ad" + jobinfo.JobId);
			
			progress_label.innerText = jobinfo.ProgressBar + "%";
			progress_label.style.left = jobinfo.ProgressBarLeft + "px";
			
			if (jobinfo.UserClickFee>0) {
				//判断是否有参与标签
				var jointag = eleAd.querySelector(".jointag");
				if(!jointag){
					common.appendHtml(eleAd,"<div class='jointag'>已参与</div>")
				}
				
				if(jobinfo.IsComplete && jobinfo.PayHongBao){
					var check = eleAd.querySelector(".qianghongbao");
						if (!check) {
							//增加遮罩
							var html = '<div class="jobmask" style="width:'+jobinfo.ImageWidth+'px;height: '+jobinfo.ImageHeight+'px;"></div>';
							html += '<div class="qianghongbao" data-id="' + jobinfo.JobId + '" data-title="' + jobinfo.SimpleTitle + '" data-money="' + jobinfo.TotalMoney + '" style="top:' + jobinfo.MarginTop + 'px;left:' + jobinfo.MarginLeft + 'px">';
							common.appendHtml(eleAd, html);
						}
				}
			}

		}

	});

	//重新获取内容
	window.addEventListener("refreshEvent",function(){
		loadJobs();
		//mui("#pullContainer").pullRefresh().pulldownLoading(80,1000);
	});

	//显示广告
	mui("#adContainer").on("tap", ".showad", function() {
		console.log("data-Id=" + this.getAttribute("data-jobId"));

		var jobId = this.getAttribute("data-id");
		var title = this.getAttribute("data-title");

		if (!jobInfoMainView)
			jobInfoMainView = plus.webview.getWebviewById("jobinfo-main");

		mui.fire(jobInfoMainView, "showJobInfoEvent", {
			jobId: jobId,
			title: title
		});

		jobInfoMainView.show(aniShow.show, aniShow.time);

	});
	
	//抢红包
  	mui("#adContainer").on("tap",".qianghongbao",function(){
  		
  		var curUser = common.getUser();
  		
  		if(!curUser.isLogin)
  		{
  			common.userLogin();
  			return false;
  		}
  		else{
  			
      		var jobId = this.getAttribute("data-id");
      		var title = this.getAttribute("data-title");
      		var simpleTitle = this.getAttribute("data-simpleTitle");
      		var money = this.getAttribute("data-money");
      		
      		var view = plus.webview.getWebviewById("openhongbao");
      		mui.fire(view,"openHongBao",{jobId:jobId,title:title,money:money,simpleTitle:simpleTitle});
      		
			view.show("slide-in-top",200);
      				 
  		} 
  	});
  	
  	//去提现
  	mui(".mui-content").on("tap",".gotixian",function(){
  		var curUser = common.getUser();
		
		if(!curUser.isLogin){
			common.userLogin();
			return false;
		}
		
		var view = plus.webview.create("myaccount.html","myaccount",{top:"0px",bottom:"0px",popGesture:"hide"});
		view.show(aniShow.show,aniShow.time);
  	});

	//移除抢红包的广告
	window.addEventListener("removeQiangHongBao",function(e){
		var jobId = e.detail.jobId;
		var ele = document.getElementById("ad"+jobId);
		ele.parentNode.removeChild(ele);  
	});

	//接收提现通知
	window.addEventListener("showTiXianNoticeEvent",function(e){
		var balance = e.detail.balance;
		if(balance>0){
			document.querySelector(".notice").innerHTML = "<div class='gotixian'><i class='icon iconfont icon-tishi'></i>你有<span>"+balance+"</span>元未提现，<span class='go'>马上去提现</span></div>";
		}
		else
			document.querySelector(".notice").innerHTML="";
	});

})(mui, window, document, undefined);