(function(mui, window, document) {

	var main = null;
	var auths;
	
	var mask = mui.createMask(closeMask);
	
	mui.init();
	mui.plusReady(function() {

		main = plus.webview.currentWebview();

		socialAccountInit();

	});
	
	function closeMask(){
		mask.show();
	}
	
	//第三方账号登录
	mui("#socialAccount").on('tap', ".loginitem", function() {

		var cur = mui(this)[0];
		var authType = cur.getAttribute("data-type");
		var authIndex = cur.getAttribute("data-index");
		plus.nativeUI.showWaiting();

		var auth = auths[authIndex];

		auth.login(function() {

			plus.nativeUI.showWaiting("请稍候");

			console.log("auth.authResult = " + JSON.stringify(auth.authResult));

			auth.getUserInfo(function() {

				mask.show();
				
				plus.nativeUI.toast("认证成功，请稍候");

				var loginInfo = JSON.stringify(auth.userInfo);
				console.log("auth.userInfo=" + loginInfo);

				var name = auth.userInfo.nickname || auth.userInfo.name;
				switch (auth.id) {
					case "qq":
						socialLogin({
							openId: auth.authResult.openid,
							siteName: auth.id,
							userName: auth.userInfo.nickname || auth.userInfo.name,
							avatar: auth.userInfo.figureurl_qq_2,
							gender: auth.userInfo.gender
						});
						break;
					case "weixin":
						socialLogin({
							openId: auth.userInfo.openid,
							siteName: auth.id,
							userName: auth.userInfo.nickname,
							avatar: auth.userInfo.headimgurl,
							gender: auth.userInfo.sex == 1 ? "男" : "女"
						});
						break;
				}
			}, function(e) {
				plus.nativeUI.toast("获取用户信息失败：" + e.message);
				mask.close();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.toast("登录认证失败：" + e.message);
		});

	});

	//第三方账号登录
	var socialLogin = function(options) {
		console.log(JSON.stringify(options));
		options = options || {};

		//获取客户端信息
		var setting = common.getSetting();
		var url = common.getServiceUrl("Users/SocialLogin");
		var data = {
			openId: options.openId,
			siteName: options.siteName,
			userName: options.userName,
			avatar: options.avatar,
			gender: options.gender,
			clientId: plus.push.getClientInfo().clientid,
			os:"",
			ver:parseFloat(mui.os.version)
		};
		
		if(plus.os.android)
			data.os = "android";
		else if(plus.os.ios)
			data.os = "ios";

		console.log("url=" + url);
		console.log("login Post Data = " + JSON.stringify(data));

		mui.ajax(url, {
			type: "post",
			data: data,
			success: function(rel) {
				if (rel.Success) {

					var data = rel.Data;

					console.log("登录成功");
					console.log(JSON.stringify(data));

					var curUser = {
						isLogin: true,
						siteName: options.siteName,
						userName: data.UserName,
						avatar: data.Avatar,
						token: data.UserToken
					};

					common.setUser(curUser);

					//登录成功反馈
					mui.fire(plus.webview.getLaunchWebview(), "updateAvatarEvent");
					mui.fire(plus.webview.getLaunchWebview(),"UpdateUserPositionEvent");
					mui.fire(plus.webview.getWebviewById("mysetting"), "updateLoginStatusEvent");
					
					
					
					//更新JobInfo
					if(main.jobId && main.title){
						
						console.log("准备更新商品详细信息,编号："+main.jobId+"，标题："+main.title);
						
						var jobInfoView = plus.webview.getWebviewById("jobinfo");
						mui.fire(jobInfoView, "showJobInfoEvent", {jobId: main.jobId,from:"login"});
//				
//						var aniShow = common.aniShow();
//						jobInfoView.show(aniShow.show, aniShow.time);
//						
						setTimeout(function(){
							//首页刷新
							plus.webview.getWebviewById("joblist").reload(true);
						},200);
					}
					else{
						//首页刷新
						plus.webview.getWebviewById("joblist").reload(true);
					}
					

					setTimeout(function() {
						plus.webview.currentWebview().close();
					}, 1000);

					plus.nativeUI.closeWaiting();


				} else {
					mui.toast(rel.Errors[0]); //登录失败，提示失败原因
				}
			},
			error: function() {
				plus.nativeUI.closeWaiting();
				mui.toast("登录失败");
			}
		});
	}

	//第三方账号初始化
	function socialAccountInit() {

		plus.oauth.getServices(function(services) {
			auths = services;
			if (auths && auths.length > 0) {
				var html = "<div class='logintitle'>直接使用合作方账号登录</div><div class='loginitems'>";
				mui.each(auths, function(i, item) {
					if (item.id != "sinaweibo")
						html += '<img class="loginitem ' + item.id + '" src="../images/' + item.id + '.png"  data-type="' + item.id + '" data-index="' + i + '"/>';
				});

				html += "</div>"

				document.getElementById("socialAccount").innerHTML = html;
			}
		}, function(e) {
			console.log("获取分享服务列表失败：" + e.message + " - " + e.code);
			mui.toast("获取服务失败")
		});
	}

})(mui, window, document);