(function(mui, window, document) {

	mui.init();
	mui.plusReady(function() {
		
		userService.getUserAddress(function(data) {

			if (data && data.length) {

				var html = template("addressTemplate", {
					address: data
				});
				addressContainer.innerHTML = html;

				mui.each(data, function(i, item) {
					if (item.IsDefault) {
						mui.fire(plus.webview.getWebviewById("myaddress-main"), "selectAddressEvent", {
							addressId: item.AddressId
						});
						return false;
					}
				});

			}
		});
	});


	//添加收货地址
	document.getElementById("btnCreateAddress").addEventListener("tap", function() {
		createAddress(0);
	});

	var createAddress = function(addressId) {
		//addressId = 0表示新建，大于0更新
		var view = plus.webview.create("createaddress.html", "createaddress", {
			popGesture: "hide"
		},{addressId: addressId});
		view.show("slide-in-right", 200);
	}

	//创建地址
	window.addEventListener("createAddressEvent", function(e) {
		
		
		
		var curAddress = JSON.parse(e.detail.address);
		
		console.log(JSON.stringify(curAddress));
		
		//检查地址是否存在
		var checkExist = document.getElementById("address" + curAddress.Id);
		if (!checkExist) {

			//去掉以前的默认地址
			var selectedEles =document.getElementsByClassName("selected");
			if(selectedEles && selectedEles.length>0){
				document.getElementsByClassName("selected")[0].className = "address-item";	
			}
			

			var html = template("addressTemplate", {
				address: [curAddress]
			});
			common.prependHtml(addressContainer, html);
			
			selectAddress(curAddress.Id);
		}
		else{
			//如果地址存在，则是修改，
			var txtUser = checkExist.querySelector(".userinfo");
			var txtaddress = checkExist.querySelector(".address");
			
			txtUser.innerHTML = '收货人：'+curAddress.UserName+'（'+curAddress.Mobile+'）';
			txtaddress.innerHTML = '地址：'+curAddress.Address;
		}

	});

	//修改地址
	mui("#addressContainer").on("tap", ".updateAddress", function(e) {
		e.stopPropagation()
		var addressId = this.getAttribute("data-id");
	
		createAddress(addressId);
	});

	//删除地址
	mui("#addressContainer").on("tap", ".delAddress", function(e) {
		
		e.stopPropagation()
		
		var addressId = this.getAttribute("data-id");
		
		var className = document.getElementById("address"+addressId).className;
		
		var btnArray = ['是', '否'];
		mui.confirm('确定要删除吗？', '提示', btnArray, function(e) {
			if (e.index == 0) {
				

				userService.deleteAddress(addressId, function() {
					
					var ele = document.getElementById("address" + addressId);

					if (ele) {
						ele.parentNode.removeChild(ele);
						
						//判断是否是默认地址
						if (className.indexOf("selected") != -1) {
							selectAddress(0);
						}
						
					}
				});
			}
		});

	});

	//选择地址
	mui("#addressContainer").on("tap", ".address-item", function(e) {
		//e.stopPropagation();

		if (this.className.indexOf("selected") == -1) {
			
			var selectedEles =document.getElementsByClassName("selected");
			if(selectedEles && selectedEles.length>0){
				document.getElementsByClassName("selected")[0].className = "address-item";	
			}
		
			this.className = "address-item selected";

			selectAddress(this.getAttribute("data-addressId"));
		}
	});
	
	var selectAddress = function(addressId){
		
		if(addressId>0)
			document.getElementById("address"+addressId).className ="address-item selected";
			
		mui.fire(plus.webview.getWebviewById("myaddress-main"), "selectAddressEvent", {
				addressId: addressId
			});
	}

})(mui, window, document);