(function(mui,window,document){
	
	var main=null;
	var userContainer = document.getElementById("userContainer");
	
	var subViewStyle = {top:"0px",bottom:"0px",popGesture:"hide"}
	var aniShow = null;
	
	mui.init();
	mui.plusReady(function(){
		
		main = plus.webview.currentWebview();
		
		aniShow = common.aniShow();
		
		document.getElementById("appver").innerHTML = "版本V"+plus.runtime.version;
		
		//主界面向右拖动，关闭界面,在ios下使用dragright会出现乱闪的情况，ios本身支持则滑关闭
//		if(mui.os.android)
//			window.addEventListener("dragright", mui.back);  
	
		setTimeout(function(){
			updateLoginStatus();	
		},1000);
		
	});
	
	//登录
	mui("#userContainer").on("tap",".btnlogin",function(){
		common.userLogin();
	});
	
	//显示用户头像
	mui("#userContainer").on('tap',".showuserinfo",function(){
		var view = common.getLayout();
		
		var data = {id:"userinfo",url:"html/userinfo.html",title:"个人信息"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
	});
	
	//更新登录状态通知
	window.addEventListener("updateLoginStatusEvent",function(){
		updateLoginStatus();
	});
	
	//更新登录状态
	var updateLoginStatus = function(){
		var curUser = common.getUser(); 
//		 mui.fire(plus.webview.getWebviewById("joblist"),"showTiXianNoticeEvent",{balance:12});
		if(curUser.isLogin){
			
			var html = '<div class="avatar"><img data-src="'+curUser.avatar+'" class="showuserinfo"/></div><div class="logininfo showuserinfo">'+curUser.userName+'</div>';
			userContainer.innerHTML = html;
			
			lazyload(document.querySelector(".showuserinfo"));
			
			userService.getUserBalance(function(data,notShareJobCount){
				document.querySelector(".hbbalance").innerText = "余额:￥"+ data.Balance;
				document.getElementById("hongbaocount").innerText="未提取红包:"+data.NotShareHongBaoCount;
				
				//余额大于0，没有提现过，提示用户提现
				mui.fire(plus.webview.getWebviewById("joblist"),"showTiXianNoticeEvent",{balance:data.Balance});
			});
	  
		}
		else{ 
			if(!userContainer.querySelector(".btnlogin")){
				var html = '<div class="avatar"><img src="../images/avatar-white.png" class="btnlogin" /></div><div class="logininfo btnlogin">请点击登录</div>';
				userContainer.innerHTML = html;
				
				document.querySelector(".hbbalance").innerText = "余额:￥0";
			}
		}
	};
	
	
	//myaccount
	document.getElementById("myaccount").addEventListener("tap",function(){
		
		var curUser = common.getUser();
		
		if(!curUser.isLogin){
			common.userLogin();
			return false;
		}
		
		var view = plus.webview.create("myaccount.html","myaccount",{top:"0px",bottom:"0px",popGesture:"hide"});
		view.show(aniShow.show,aniShow.time);
		
	});
	
	
	
	//myhongbao
	document.getElementById("myhongbao").addEventListener("tap",function(){
		
		var curUser = common.getUser();
		
		if(!curUser.isLogin){
			common.userLogin();
			return false;
		}
		
		var view = common.getLayout();
		
		var data = {id:"myhongbao",url:"html/myhongbao.html",title:"我的红包"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		
	});
	
	//分享好友
	document.getElementById("sharefriend").addEventListener("tap",function(){
		var view = common.getLayout();
		
		var data = {id:"sharefriend",url:"html/sharefriend.html",title:"分享滴滴盒子"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
	});
	
	//myorder
	document.getElementById("myorder").addEventListener("tap",function(){
		
		var curUser = common.getUser();
		
		if(!curUser.isLogin){
			common.userLogin();
			return false;
		}
		
		var view = common.getLayout();
		
		var data = {id:"myorder",url:"html/myorder.html",title:"我的订单"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		
	});
	
	//mymessage
	document.getElementById("mymessage").addEventListener("tap",function(){
		
		var curUser = common.getUser();
		
		if(!curUser.isLogin){
			common.userLogin();
			return false;
		}
		
		var view = common.getLayout();
		
		var data = {id:"mymessage",url:"html/mymessage.html",title:"消息中心"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		
	});
	
	//关于
	document.getElementById("about").addEventListener("tap",function(){
		
		var view = common.getLayout();
		
		var data = {id:"about",url:"html/about.html",title:"关于"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
	});
	
	//配制设置
	document.getElementById("config").addEventListener("tap",function(){
		
		var view = common.getLayout();
		
		var data = {id:"config",url:"html/config.html",title:"设置"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		
	});
	
	//建议反馈
	document.getElementById("feedback").addEventListener("tap",function(){
		
		var view = common.getLayout();
		
		var data = {id:"feedback",url:"html/feedback.html",title:"建议反馈"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		

	});
	
	
	
})(mui,window,document);
