(function(mui, window, document) {

	var main = null;

	mui.init();
	mui.plusReady(function() {

		main = plus.webview.currentWebview();
		var curUser = common.getUser();
		
		if(curUser.isLogin){
			
			userService.getUserInfo(function(data){
				var img = document.getElementById("userface");
				img.setAttribute("data-src", data.Avatar);
				
				lazyload(img);
				
				document.getElementById("userName").innerText = data.UserName;
				document.getElementById("gender").innerText = data.Gender;
				
				main.show();
				
			},function(error){
				mui.toast(error);
			});
		}
		else{
			common.userLogin();
			setTimeout(function(){
				main.parent().close();
			},500);
		}

	});
	
	//修改姓名
	document.getElementById("btnUserName").addEventListener("tap",function(e){
		e.detail.gesture.preventDefault(); //修复iOS 8.x平台存在的bug，使用plus.nativeUI.prompt会造成输入法闪一下又没了
		var btnArray = ['确定', '取消'];
		mui.prompt('请输入新的昵称：', '', '修改昵称', btnArray, function(e) {
			if (e.index == 0) {
				var name = e.value;
				
				userService.updateUserName(name,function(){
					document.getElementById("userName").innerText = name;
					
					//更新用户信息
					var curUser = common.getUser();
					curUser.userName = name;
					common.setUser(curUser);
					
					//通知其它页面列改头像
					mui.fire(plus.webview.getLaunchWebview(), "updateAvatarEvent");
					mui.fire(plus.webview.getWebviewById("mysetting"), "updateLoginStatusEvent");
					
				},
				function(error){
					mui.toast("昵称已存在");
				});
				
				
			} else {
				
			}
		})
	});
	
	//性别
	document.getElementById("btnGender").addEventListener("tap",function(){
		
		var a = [{
			title: "帅哥"
		}, {
			title: "靓女"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: a
		}, function(b) {
			console.log("index="+b.index);
			switch (b.index) {
				case 1:
					updateGender("男");
					break;
				case 2:
					updateGender("女");
					break;
				default:
					break
			}
		})
	});
	
	//更新性别
	var updateGender = function(gender){
		userService.updateUserGender(gender,function(){
			document.getElementById("gender").innerText = gender;
		});
	};

	//头像
	document.getElementById("btnUserFace").addEventListener("tap", function() {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "修改头像",
			cancel: "取消",
			buttons: a
		}, function(b) {
			switch (b.index) {
				case 0:
					break;
				case 1:
					getImage();
					break;
				case 2:
					galleryImg();
					break;
				default:
					break
			}
		})
	});


	function getImage() {
		var c = plus.camera.getCamera();
		c.captureImage(function(e) {
			plus.io.resolveLocalFileSystemURL(e, function(entry) {
				var s = entry.toLocalURL() + "?version=" + new Date().getTime();
				console.log(s);
		
				plus.nativeUI.showWaiting("正在上传头像");
				
				compressImg(s); //处理图片的地方
		
			}, function(e) {
				console.log("读取拍照文件错误：" + e.message);
			});
		}, function(s) {
			console.log("error" + s);
		}, {
			filename: "_doc/head.jpg"
		})
	}

	function galleryImg() {
		plus.gallery.pick(function(path) {
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				var localURL = entry.toLocalURL();
				//document.getElementById('resImg').src = localURL;
				plus.nativeUI.showWaiting("正在上传头像");
				
				compressImg(localURL); //处理图片的地方
			}, function(e) {
				console.log("失败：" + error.message);
			}, {
				filename: "_doc/camera/",
				index: 1
			});
		});
	}

	//压缩图像
	function compressImg(path) {
		console.log('开始压缩:' + path);
		lrz(path, {
			width:200,
			height:200,
			done: function(result) {
	
				userService.uploadAvatar(result.base64,function(data){
					plus.nativeUI.closeWaiting();
					
					console.log("上传图片地址："+data);
					var img = document.getElementById("userface");
					img.setAttribute("src", path);
					img.setAttribute("data-src", data);
					lazyload(img);
					
					//更新用户信息
					var curUser = common.getUser();
					curUser.avatar = data;
					common.setUser(curUser);
					
					//通知其它页面列改头像
					mui.fire(plus.webview.getLaunchWebview(), "updateAvatarEvent");
					mui.fire(plus.webview.getWebviewById("mysetting"), "updateLoginStatusEvent");
					
				});
				
				console.log('文件大小：' + (Math.floor(result.base64Len / 1024)) + 'K');
			},
			fail:function(){
				plus.nativeUI.alert("上传失败");
			}
		});
	}

})(mui, window, document);